Bug 24024 - Holds Awaiting Pickup (Both Active and Expired) Sorts by Firstname
Summary: Holds Awaiting Pickup (Both Active and Expired) Sorts by Firstname
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 19770
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-12 16:13 UTC by Martha Fuerst
Modified: 2019-12-11 17:27 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00, 19.05.06


Attachments
Bug 24024: Invert names on halds waiting report (1.60 KB, patch)
2019-11-12 18:30 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24024: Invert names on halds waiting report (1.65 KB, patch)
2019-11-20 23:04 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24024: Invert names on halds waiting report (1.75 KB, patch)
2019-11-21 07:37 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 24024: Invert names on holds waiting report (1.75 KB, patch)
2019-11-21 07:38 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martha Fuerst 2019-11-12 16:13:39 UTC
With the 19.05 upgrade, the Holds Awaiting Pickup lists in Circulation sort by the patron's firstname as opposed to their surname. Holds are on the shelf by surname, to protect patron privacy. I feel like this is a SOP for most systems, but if it isn't, it should be a preference we can set.

Thanks!

-Marti Fuerst
Huntsville-Madison County Public Library
Comment 1 Nick Clemens 2019-11-12 18:30:27 UTC
Created attachment 95347 [details] [review]
Bug 24024: Invert names on halds waiting report
Comment 2 Holly 2019-11-14 15:22:19 UTC
Hi,
Can I just check how to test this change so the bug can be signed off?
Comment 3 Nick Clemens 2019-11-14 17:59:18 UTC
Place a few holds for several patrons and set them all to waiting (check in, confirm the hold)

Browse to Circulation->Holds awaiting pickup

Try sorting the table on the patron's name

Before patch:
It sorts using firstname, and patron name is displayed as:
Firtname Surname

After patch:
It sorts using lastname and patron name is displayed as:
Surname, Firstname
Comment 4 ByWater Sandboxes 2019-11-20 23:04:36 UTC
Created attachment 95635 [details] [review]
Bug 24024: Invert names on halds waiting report

Signed-off-by: Rhonda Kuiper <rkuiper@roundrocktexas.gov>
Comment 5 Marcel de Rooy 2019-11-21 07:37:59 UTC
Created attachment 95645 [details] [review]
Bug 24024: Invert names on halds waiting report

Signed-off-by: Rhonda Kuiper <rkuiper@roundrocktexas.gov>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Marcel de Rooy 2019-11-21 07:38:36 UTC
Created attachment 95646 [details] [review]
Bug 24024: Invert names on holds waiting report

Signed-off-by: Rhonda Kuiper <rkuiper@roundrocktexas.gov>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2019-11-21 07:38:51 UTC
halds => holds
Comment 8 Martin Renvoize 2019-11-21 11:36:47 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Marcel de Rooy 2019-11-25 09:14:44 UTC
(In reply to Marcel de Rooy from comment #7)
> halds => holds

Hmm Forgot to obsolete the first patch.
Comment 10 Martha Fuerst 2019-11-26 20:25:07 UTC
Will this get backdated to 19.05? It's currently a hassle and a half in regard to managing our holds shelves.

-Marti Fuerst
Hunstville-Madison County Public Library
Comment 11 rkuiper 2019-11-26 20:28:31 UTC
I second Marti's comment.  Our staff would really love to see this fixed.
Rhonda Kuiper
Comment 12 Lucas Gass 2019-12-10 22:02:43 UTC
backported to 19.05.x for 19.05.06